import request from '@/utils/request'
import { BASE } from './apiGateway'

// 候诊延时配置相关接口
var waitingDelay = {
  // 创建候诊延时配置
  createWaiting(data) {
    return request({
      url: `${BASE}/internet/consult/sysdict/create`,
      method: 'POST',
      data: data
    })
  },

  // 搜索延时配置
  search(params) {
    return request({
      url: `${BASE}/internet/consult/sysdict/findByHosAndDn`,
      method: 'GET',
      params: params
    })
  },

  
  create(data) {
    return request({
      url: `${BASE}/internet/consult/sysdict/create`,
      method: 'POST',
      data: data
    })
  },

  findByHosAndDict(params) {
    return request({
      url: `${BASE}/open/noLogin/findByHosAndDict`,
      method: 'GET',
      params: params
    })
  },

  findAllDict(params) {
    return request({
      url: `${BASE}/open/noLogin/findAllDict`,
      method: 'GET',
      params: params
    })
  }
  
}

export default waitingDelay
